# ActorUtils (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors

## Class ActorUtils

- java.lang.Object
- - io.dapr.actors.ActorUtils

    public final class ActorUtils
    extends Object

### Constructor Summary

Constructors
`ActorUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `findActorTypeName​(Class<?> actorClass)` Finds the actor type name for the given class or interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActorUtils

    public ActorUtils()

### Method Detail

#### findActorTypeName

    public static String findActorTypeName​(Class<?> actorClass)

Finds the actor type name for the given class or interface.

Parameters:
  `actorClass` - Class or interface for Actor Type.
Returns:
  Name for Actor Type.